# Matlab toolbox of functions from BDM

cmake_minimum_required(VERSION 2.6)
PROJECT(bdmtoolbox)

# Link it to BDM
SET(BDM_SOURCE_DIR "${CMAKE_SOURCE_DIR}/../../library")
SET(CMAKE_MODULE_PATH "${BDM_SOURCE_DIR}/system")

# Load BDM environment
INCLUDE(SetBdmEnv)

include_directories (${BDM_SOURCE_DIR}/bdm)
link_directories (${BDM_BINARY_DIR}/bdm)

#EXEC(estimator)

IF(MATLAB_FOUND)
	add_subdirectory (mex)
ENDIF(MATLAB_FOUND)